Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 3549

Summary: escape characters wrong in mail
Product: [Retired] Red Hat Linux Reporter: Tom Jones <tjones>
Component: mailxAssignee: Jay Turner <jturner>
Status: CLOSED DEFERRED QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 6.0CC: romain, srevivo
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 1999-06-17 22:52:09 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Tom Jones 1999-06-17 22:10:01 UTC
/bin/mail's ~v and ~e escapes attempt to execute /usr/bin/vi
and /usr/bin/ex, respectively. These binaries are in the
/bin directory in the current release. Work around by
setting VISUAL and EDITOR in ,mailrc.

                     ~v
                     /usr/bin/vi: No such file or directory
                     Fatal error in process.
                     (continue)
                     ~e
                     /usr/bin/ex: No such file or directory
                     Fatal error in process.
                     (continue)

Comment 1 Jeff Johnson 1999-06-17 22:52:59 UTC
There are several vim packages and it is not clear which
vi should be compiled into mailx as default. Either install
vim-enhanced or set VISUAL/EDITOR to the one you desire:

bash$ rpm -qf /bin/vi
vim-minimal-5.3-7
bash$ rpm -qf /usr/bin/vi
vim-enhanced-5.3-7
bash$ rpm -qf /usr/X11R6/bin/vimx
vim-X11-5.3-7

Comment 2 Olof Johansson 2003-07-31 22:03:14 UTC
olof@us.ibm.com changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
              Owner|olof@us.ibm.com             |linas@us.ibm.com




------- Additional Comments From olof@us.ibm.com(prefers email via olof@austin.ibm.com)  2003-31-07 18:02 -------
Over to Linas